#!/bin/sh

# comment_out.sh - Program to comment out some lines of a file
# 

if [ "$#" -ne "1" ]; then
   echo "Syntax: comment_out.sh pattern < file" >&2
   exit 1
fi
line=$1

of="" ## output flag

while read a; do
	
	to_write="$a"
        
	if [ "$a" == "$line" ]; then
        	to_write="# $a"
	fi

	echo $to_write
done

exit 0
